%set_verify_elf_method textrel=relaxed,rpath=relaxed

%define ocamlver 3.08.0-alt0.2

Name: ocamlsdl
Version: 0.6.3.cvs1
Release: alt5

Group: Development/Other
Summary: SDL bindings for OCaml
License: LGPL
Url: http://ocamlsdl.sourceforge.net/
Packager: Vitaly Lugovsky <vsl@altlinux.ru>
Source: ocamlsdl-%version.tar.bz2
Source1: ocamlsdl.sh
Source2: ocamlsdl-%version.configure.tar.bz2
Patch: ocamlsdl-%version.event.patch

Requires: ocaml = %ocamlver, libSDL, libSDL_ttf, libSDL_mixer, libSDL_image

# Automatically added by buildreq on Wed Feb 18 2004
BuildRequires: XFree86-libs esound lablGL libSDL-devel libncurses-devel ocaml-runtime

BuildRequires: libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel libalsa libarts libaudiofile libjpeg libncurses-devel libogg libslang libsmpeg libtiff libvorbis
BuildRequires: ocaml-runtime = %ocamlver
BuildRequires: ocaml = %ocamlver

%set_strip_method none

%description

 SDL, SDL_ttf, SDL_mixer and SDL_image bindings for Objective Caml

%prep
%setup -q -nOCamlSDL

%patch -p1


tar -xjf %SOURCE2

%build

CC=gcc-3.3 ./configure --prefix=$RPM_BUILD_ROOT

make

cat > META <<EOF
name = "sdl"
description = "SDL bindings"
requires = "bigarray"
version = "0.6.3.cvs1"
archive(byte) = "sdl.cma"
archive(native) = "sdl.cmxa"
directory = "/usr/lib/ocaml/sdl"
EOF

%install
%define _compress_method skip

mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/sdl/
mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/stublibs/
mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/sdl/
mkdir -p $RPM_BUILD_ROOT/usr/bin/

cp src/*.{mli,cmi,a,cmxa,cma} $RPM_BUILD_ROOT/usr/lib/ocaml/sdl/
cp src/toplevel $RPM_BUILD_ROOT/usr/lib/ocaml/sdl/
cp src/*.so $RPM_BUILD_ROOT/usr/lib/ocaml/stublibs/
cp META $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/sdl/
cp %SOURCE1 $RPM_BUILD_ROOT/usr/bin/ocamlsdl

%files
%dir %_libdir/ocaml/sdl
%_libdir/ocaml/sdl/*
%dir %_libdir/ocaml/site-lib/sdl/
%_libdir/ocaml/site-lib/sdl/META
%_bindir/ocamlsdl
%_libdir/ocaml/stublibs/*
 
%doc README INSTALL HISTORY AUTHORS doc/

%changelog
* Sun Jul 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.6.3.cvs1-alt5
- rebuild

* Fri May  7 2004 Alexander V. Nikolaev <avn@altlinux.org> 0.6.3.cvs1-alt4.1
- Non-maintainer upload
- Add "packager" to spec
- Rebuild with glibc 2.3.x and ocaml 3.07-alt6.1

* Wed Mar 17 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.6.3.cvs1-alt4
- rebuild


* Wed Feb 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.6.3.cvs1-alt3
- rebuild

* Thu Dec 25 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.6.3.cvs1-alt1
cvs version

* Mon Oct 13 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.6.3-alt1
a new version, rebuild with 3.07


* Sat Mar 15 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.6.2-alt1s
- new version

* Wed Mar 12 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.5-alt1s
- rebuild with 3.06[Shared]

* Thu Oct 03 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.5-alt1
- first RPM release

